#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit and benchmark tests

Summary:	multidict implementation
Summary(pl.UTF-8):	Implementacja multidict
Name:		python3-multidict
Version:	6.6.3
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/multidict/
Source0:	https://files.pythonhosted.org/packages/source/m/multidict/multidict-%{version}.tar.gz
# Source0-md5:	fad2c669f1c8b1feec4568090450f3a7
URL:		https://pypi.org/project/multidict/
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-setuptools >= 1:40
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-benchmark
BuildRequires:	python3-pytest-cov
%if "%{_ver_lt %{py3_ver} 3.11}" == "1"
BuildRequires:	python3-typing_extensions >= 4.1.0
%endif
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.752
%if %{with doc}
BuildRequires:	python3-alabaster
BuildRequires:	python3-sphinxcontrib-towncrier
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Multidict is dict-like collection of key-value pairs where key might
be occurred more than once in the container.

%description -l pl.UTF-8
Multidict to podobna do dict kolekcja par klucz-wartość, gdzie klucz
może wystąpić więcej niż raz w danym kontenerze.

%package apidocs
Summary:	API documentation for Python multidict module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona multidict
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python multidict module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona multidict.

%prep
%setup -q -n multidict-%{version}

%build
%py3_build

%if %{with tests}
%{__mv} multidict{,.away}

PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_benchmark.plugin \
PYTHONPATH=$(readlink -f build-3/lib.*) \
%{__python3} -m pytest tests

%{__mv} multidict{.away,}
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%dir %{py3_sitedir}/multidict
%attr(755,root,root) %{py3_sitedir}/multidict/_multidict.cpython-*.so
%{py3_sitedir}/multidict/*.py
%{py3_sitedir}/multidict/py.typed
%{py3_sitedir}/multidict/__pycache__
%{py3_sitedir}/multidict-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-multidict.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> f38aebe
- fixed tests

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 95c9653
- updated to 6.6.3

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> 8b9684e
- BR: python3-sphinxcontrib-towncrier

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> 0323e79
- disable tests

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> 860edff
- up to 6.2.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c271abb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5172ade
- python 3.13 rebuild

* Tue Feb 28 2023 Jan Palus <atler@pld-linux.org> 9d916e5
- rpm version for noarch subpackage

* Tue Feb 28 2023 Jan Palus <atler@pld-linux.org> 11b7dc8
- up to 6.0.4

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b0c1e1e
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 295a1db
- rebuild with python 3.10

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 2381776
- updated to 6.0.2

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 9a2d1fd
- setuptools epoch

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 4cac65f
- rebuild with separate debuginfo build-ids

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2e62bdf
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8b871d4
- release 2 (by relup.sh)

* Sat Feb 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 27044d8
- new

